Bug 101379 - UI - (on high resolution screens) text cursor is too thin and so nearly invisible
Summary: UI - (on high resolution screens) text cursor is too thin and so nearly invis...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
: 118286 (view as bug list)
Depends on:
Blocks: HiDPI
  Show dependency treegraph
 
Reported: 2016-08-08 08:41 UTC by bordfeldt
Modified: 2021-03-05 04:18 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
screen prints in two versions (55.81 KB, image/png)
2018-02-04 15:07 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bordfeldt 2016-08-08 08:41:39 UTC
LO 5.2.04 on Windows 10 64 bit on high resolution screen (2376x1824)

In Writer the text cursor is very thin so its hard to see.
Comment 1 tommy27 2016-10-16 04:55:03 UTC
what about other applications with a cursor (i.e. Notepad) running on such hi-res monitors?

is the cursor visibility better or the same as LibO?
Comment 2 bordfeldt 2016-10-16 16:32:13 UTC
In Microsoft Word the visibiltiy is better, because the cursor is twice as thick than the cursor in LO writer. In many other applications the visibiltiy is bad too, because they are not adapted for this high resolution.
Comment 3 jani 2017-01-13 14:54:40 UTC
on osx cursor is fine
Comment 4 bordfeldt 2017-02-13 18:12:04 UTC
Still exists in 5.3.0.3, but seems to be a little bit better.

Was there any change dealing with the cursor-width?
Comment 5 Buovjaga 2017-05-27 14:15:31 UTC
Looks fine on Manjaro Linux. Scaling factor 2

Version: 5.3.3.2
Build ID: 5.3.3-1
CPU Threads: 4; OS Version: Linux 4.11; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 6 Cor Nouws 2017-10-04 19:52:38 UTC
even on my 1366x768 I find the visibility in Writer in master worse then in e.g. 5.2. In the latter is was black, in master gray :\
Might be my eyes, but regularly I make a selection to see where the cursor is..
I see no setting in .. > Options > LibreOffice > Application colors.

Version: 6.0.0.0.alpha0+
Build ID: 892c719fffa06de4c7aeab497326cad7bae9e5c6
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-27_03:02:09
Locale: nl-NL (nl_NL.UTF-8); Calc: group

RFE for color, or ..? Is the color an issue too for you, @bordfedt?
Comment 7 Xisco Faulí 2017-11-06 17:12:55 UTC
> RFE for color, or ..? Is the color an issue too for you, @bordfedt?

Dear Reporter,
Could you please answer the question above?
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the question is answered
Comment 8 bordfeldt 2017-11-06 18:12:38 UTC
Sorry for my late answer! Now I use 5.4.0.3 and the visibility is the same like before. The color is not an issue for me. The cursor is black. But I often can't see the cursor immediatly, espacially if the cursor is in the middle of a document. So - like Cor Nouws reported - I have to make a selection to find the cursor.
Comment 9 Buovjaga 2017-11-07 06:59:21 UTC
NEW per comment 6, then.
Comment 10 bordfeldt 2018-02-04 14:23:58 UTC
Today tested in LO 6.0.0.3 the visbility of the cursor ist still the same. On normal scaling factor (100%) it's hard to see, on higher scaling factots it's better.
Comment 11 Cor Nouws 2018-02-04 15:05:20 UTC
also on 1366X768 it is worse than in the past.
Regression > raising severity (In older versions, I never had to make a selection to see where the cursor was..)
Will attach screen shots
Comment 12 Cor Nouws 2018-02-04 15:07:26 UTC
Created attachment 139572 [details]
screen prints in two versions

screen prints in 367rc2 and a recent daily,
both 100% in LibreOffice and 100% when combining them in one image
screen resol. 1366x768
Comment 13 Buovjaga 2018-07-13 11:23:09 UTC
*** Bug 118286 has been marked as a duplicate of this bug. ***
Comment 14 jn 2018-08-09 08:26:15 UTC
This problem persists, at least on Linux, in Libre Office 6.1.0.3.

Cf. https://ask.libreoffice.org/en/question/86083/how-can-i-change-the-cursor-thickness-in-writer/ 

Cf. also #105415?
Comment 15 bordfeldt 2019-03-05 18:47:53 UTC
Tested today on LO  6.1.5.2 on Ubuntu 18.04. the visibility of the cursor is for me good enough now. The resolution of the screen is still the same (2376x1824).
Comment 16 QA Administrators 2021-03-05 04:18:19 UTC
Dear bordfeldt,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug